com.sun.grid.jgdi.configuration

## Class ParallelEnvironmentImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.ParallelEnvironmentImpl

- All Implemented Interfaces:
    GEObject, ParallelEnvironment, java.io.Serializable, java.lang.Cloneable

      public class ParallelEnvironmentImpl
      extends GEObjectImpl
      implements ParallelEnvironment

  Java representation of the cull object PE_Type defined in sge_all_listsL.template

  Warning: The ParallelEnvironmentImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParallelEnvironmentImpl()` Create a new instance of ParallelEnvironmentImpl.
    `ParallelEnvironmentImpl(boolean initWithDefaultValues)` Create a new instanceof
    `ParallelEnvironmentImpl(java.lang.String name)` Create a new instance of ParallelEnvironmentImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUser(UserSet auser)` Add a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `addXuser(UserSet axuser)` Add a com.sun.grid.jgdi.configuration.UserSet attribute.
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `java.lang.String` | `getAllocationRule()` Get the value of the allocationRule attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `java.lang.String` | `getQsortArgs()` Get the value of the qsortArgs attribute.
    `int` | `getSlots()` Get the value of the slots attribute.
    `java.lang.String` | `getStartProcArgs()` Get the value of the startProcArgs attribute.
    `java.lang.String` | `getStopProcArgs()` Get the value of the stopProcArgs attribute.
    `java.lang.String` | `getUrgencySlots()` Get the value of the urgencySlots attribute.
    `UserSet` | `getUser(int index)` Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `int` | `getUserCount()` Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
    `java.util.List<UserSet>` | `getUserList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
    `UserSet` | `getXuser(int index)` Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `int` | `getXuserCount()` Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
    `java.util.List<UserSet>` | `getXuserList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
    `boolean` | `isAccountingSummary()` Get the value of the accountingSummary attribute.
    `boolean` | `isControlSlaves()` Get the value of the controlSlaves attribute.
    `boolean` | `isJobIsFirstTask()` Get the value of the jobIsFirstTask attribute.
    `boolean` | `isSetAccountingSummary()` Determine if the accountingSummary attribute is set
    `boolean` | `isSetAllocationRule()` Determine if the allocationRule attribute is set
    `boolean` | `isSetControlSlaves()` Determine if the controlSlaves attribute is set
    `boolean` | `isSetJobIsFirstTask()` Determine if the jobIsFirstTask attribute is set
    `boolean` | `isSetName()` Determine if the name attribute is set
    `boolean` | `isSetQsortArgs()` Determine if the qsortArgs attribute is set
    `boolean` | `isSetSlots()` Determine if the slots attribute is set
    `boolean` | `isSetStartProcArgs()` Determine if the startProcArgs attribute is set
    `boolean` | `isSetStopProcArgs()` Determine if the stopProcArgs attribute is set
    `boolean` | `isSetUrgencySlots()` Determine if the urgencySlots attribute is set
    `boolean` | `isSetUser()` Determine if the user attribute is set
    `boolean` | `isSetXuser()` Determine if the xuser attribute is set
    `void` | `removeAllUser()` Remove all com.sun.grid.jgdi.configuration.UserSet attributes.
    `void` | `removeAllXuser()` Remove all com.sun.grid.jgdi.configuration.UserSet attributes.
    `UserSet` | `removeUser(int index)` Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `boolean` | `removeUser(UserSet auser)` Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
    `UserSet` | `removeXuser(int index)` Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `boolean` | `removeXuser(UserSet axuser)` Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `setAccountingSummary(boolean aAccountingSummary)` Set the accountingSummary attribute.
    `void` | `setAllocationRule(java.lang.String aAllocationRule)` Set the allocationRule attribute.
    `void` | `setControlSlaves(boolean aControlSlaves)` Set the controlSlaves attribute.
    `void` | `setJobIsFirstTask(boolean aJobIsFirstTask)` Set the jobIsFirstTask attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setQsortArgs(java.lang.String aQsortArgs)` Set the qsortArgs attribute.
    `void` | `setSlots(int aSlots)` Set the slots attribute.
    `void` | `setStartProcArgs(java.lang.String aStartProcArgs)` Set the startProcArgs attribute.
    `void` | `setStopProcArgs(java.lang.String aStopProcArgs)` Set the stopProcArgs attribute.
    `void` | `setUrgencySlots(java.lang.String aUrgencySlots)` Set the urgencySlots attribute.
    `void` | `setUser(int index, UserSet auser)` Set a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `setXuser(int index, UserSet axuser)` Set a com.sun.grid.jgdi.configuration.UserSet attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getParent, getPathName, getRoot, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getParent`

- - ### Constructor Detail

    - #### ParallelEnvironmentImpl

          public ParallelEnvironmentImpl()

      Create a new instance of ParallelEnvironmentImpl. The new instance will not be initialized with the default values.

    - #### ParallelEnvironmentImpl

          public ParallelEnvironmentImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### ParallelEnvironmentImpl

          public ParallelEnvironmentImpl(java.lang.String name)

      Create a new instance of ParallelEnvironmentImpl

  - ### Method Detail

    - #### isSetName

          public boolean isSetName()

      Determine if the name attribute is set
      Specified by:
        `isSetName` in interface `ParallelEnvironment`
      Returns:
        `true` if the name attribute is set

    - #### setName

          public void setName(java.lang.String aName)

      Set the name attribute.
      Specified by:
        `setName` in interface `ParallelEnvironment`
      Overrides:
        `setName` in class `GEObjectImpl`
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          public java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Specified by:
        `getName` in interface `ParallelEnvironment`
      Overrides:
        `getName` in class `GEObjectImpl`
      Returns:
        the value of the name attribute

    - #### isSetSlots

          public boolean isSetSlots()

      Determine if the slots attribute is set
      Specified by:
        `isSetSlots` in interface `ParallelEnvironment`
      Returns:
        `true` if the slots attribute is set

    - #### setSlots

          public void setSlots(int aSlots)

      Set the slots attribute.
      Specified by:
        `setSlots` in interface `ParallelEnvironment`
      Parameters:
        `aSlots` - the new value for the slots attribute

    - #### getSlots

          public int getSlots()

      Get the value of the slots attribute.
      Specified by:
        `getSlots` in interface `ParallelEnvironment`
      Returns:
        the value of the slots attribute

    - #### addUser

          public void addUser(UserSet auser)

      Add a com.sun.grid.jgdi.configuration.UserSet attribute.
      Specified by:
        `addUser` in interface `ParallelEnvironment`
      Parameters:
        `auser` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### setUser

          public void setUser(int index,
                              UserSet auser)

      Set a com.sun.grid.jgdi.configuration.UserSet attribute.
      Specified by:
        `setUser` in interface `ParallelEnvironment`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.UserSet attribute
        `auser` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### removeAllUser

          public void removeAllUser()

      Remove all com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `removeAllUser` in interface `ParallelEnvironment`

    - #### removeUser

          public UserSet removeUser(int index)

      Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Specified by:
        `removeUser` in interface `ParallelEnvironment`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.UserSet attribute or `null` if no attribute at this index is stored

    - #### removeUser

          public boolean removeUser(UserSet auser)

      Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
      Specified by:
        `removeUser` in interface `ParallelEnvironment`
      Parameters:
        `auser` - the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.UserSet attribute has been removed

    - #### getUserList

          public java.util.List<UserSet> getUserList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `getUserList` in interface `ParallelEnvironment`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.UserSet attributes

    - #### getUserCount

          public int getUserCount()

      Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `getUserCount` in interface `ParallelEnvironment`
      Returns:
        The number of com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### getUser

          public UserSet getUser(int index)

      Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Specified by:
        `getUser` in interface `ParallelEnvironment`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.UserSet attribute

    - #### isSetUser

          public boolean isSetUser()

      Determine if the user attribute is set
      Specified by:
        `isSetUser` in interface `ParallelEnvironment`
      Returns:
        `true` if the user attribute is set

    - #### addXuser

          public void addXuser(UserSet axuser)

      Add a com.sun.grid.jgdi.configuration.UserSet attribute.
      Specified by:
        `addXuser` in interface `ParallelEnvironment`
      Parameters:
        `axuser` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### setXuser

          public void setXuser(int index,
                               UserSet axuser)

      Set a com.sun.grid.jgdi.configuration.UserSet attribute.
      Specified by:
        `setXuser` in interface `ParallelEnvironment`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.UserSet attribute
        `axuser` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### removeAllXuser

          public void removeAllXuser()

      Remove all com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `removeAllXuser` in interface `ParallelEnvironment`

    - #### removeXuser

          public UserSet removeXuser(int index)

      Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Specified by:
        `removeXuser` in interface `ParallelEnvironment`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.UserSet attribute or `null` if no attribute at this index is stored

    - #### removeXuser

          public boolean removeXuser(UserSet axuser)

      Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
      Specified by:
        `removeXuser` in interface `ParallelEnvironment`
      Parameters:
        `axuser` - the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.UserSet attribute has been removed

    - #### getXuserList

          public java.util.List<UserSet> getXuserList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `getXuserList` in interface `ParallelEnvironment`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.UserSet attributes

    - #### getXuserCount

          public int getXuserCount()

      Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `getXuserCount` in interface `ParallelEnvironment`
      Returns:
        The number of com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### getXuser

          public UserSet getXuser(int index)

      Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Specified by:
        `getXuser` in interface `ParallelEnvironment`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.UserSet attribute

    - #### isSetXuser

          public boolean isSetXuser()

      Determine if the xuser attribute is set
      Specified by:
        `isSetXuser` in interface `ParallelEnvironment`
      Returns:
        `true` if the xuser attribute is set

    - #### isSetStartProcArgs

          public boolean isSetStartProcArgs()

      Determine if the startProcArgs attribute is set
      Specified by:
        `isSetStartProcArgs` in interface `ParallelEnvironment`
      Returns:
        `true` if the startProcArgs attribute is set

    - #### setStartProcArgs

          public void setStartProcArgs(java.lang.String aStartProcArgs)

      Set the startProcArgs attribute.
      Specified by:
        `setStartProcArgs` in interface `ParallelEnvironment`
      Parameters:
        `aStartProcArgs` - the new value for the startProcArgs attribute

    - #### getStartProcArgs

          public java.lang.String getStartProcArgs()

      Get the value of the startProcArgs attribute.
      Specified by:
        `getStartProcArgs` in interface `ParallelEnvironment`
      Returns:
        the value of the startProcArgs attribute

    - #### isSetStopProcArgs

          public boolean isSetStopProcArgs()

      Determine if the stopProcArgs attribute is set
      Specified by:
        `isSetStopProcArgs` in interface `ParallelEnvironment`
      Returns:
        `true` if the stopProcArgs attribute is set

    - #### setStopProcArgs

          public void setStopProcArgs(java.lang.String aStopProcArgs)

      Set the stopProcArgs attribute.
      Specified by:
        `setStopProcArgs` in interface `ParallelEnvironment`
      Parameters:
        `aStopProcArgs` - the new value for the stopProcArgs attribute

    - #### getStopProcArgs

          public java.lang.String getStopProcArgs()

      Get the value of the stopProcArgs attribute.
      Specified by:
        `getStopProcArgs` in interface `ParallelEnvironment`
      Returns:
        the value of the stopProcArgs attribute

    - #### isSetAllocationRule

          public boolean isSetAllocationRule()

      Determine if the allocationRule attribute is set
      Specified by:
        `isSetAllocationRule` in interface `ParallelEnvironment`
      Returns:
        `true` if the allocationRule attribute is set

    - #### setAllocationRule

          public void setAllocationRule(java.lang.String aAllocationRule)

      Set the allocationRule attribute.
      Specified by:
        `setAllocationRule` in interface `ParallelEnvironment`
      Parameters:
        `aAllocationRule` - the new value for the allocationRule attribute

    - #### getAllocationRule

          public java.lang.String getAllocationRule()

      Get the value of the allocationRule attribute.
      Specified by:
        `getAllocationRule` in interface `ParallelEnvironment`
      Returns:
        the value of the allocationRule attribute

    - #### isSetControlSlaves

          public boolean isSetControlSlaves()

      Determine if the controlSlaves attribute is set
      Specified by:
        `isSetControlSlaves` in interface `ParallelEnvironment`
      Returns:
        `true` if the controlSlaves attribute is set

    - #### setControlSlaves

          public void setControlSlaves(boolean aControlSlaves)

      Set the controlSlaves attribute.
      Specified by:
        `setControlSlaves` in interface `ParallelEnvironment`
      Parameters:
        `aControlSlaves` - the new value for the controlSlaves attribute

    - #### isControlSlaves

          public boolean isControlSlaves()

      Get the value of the controlSlaves attribute.
      Specified by:
        `isControlSlaves` in interface `ParallelEnvironment`
      Returns:
        the value of the controlSlaves attribute

    - #### isSetJobIsFirstTask

          public boolean isSetJobIsFirstTask()

      Determine if the jobIsFirstTask attribute is set
      Specified by:
        `isSetJobIsFirstTask` in interface `ParallelEnvironment`
      Returns:
        `true` if the jobIsFirstTask attribute is set

    - #### setJobIsFirstTask

          public void setJobIsFirstTask(boolean aJobIsFirstTask)

      Set the jobIsFirstTask attribute.
      Specified by:
        `setJobIsFirstTask` in interface `ParallelEnvironment`
      Parameters:
        `aJobIsFirstTask` - the new value for the jobIsFirstTask attribute

    - #### isJobIsFirstTask

          public boolean isJobIsFirstTask()

      Get the value of the jobIsFirstTask attribute.
      Specified by:
        `isJobIsFirstTask` in interface `ParallelEnvironment`
      Returns:
        the value of the jobIsFirstTask attribute

    - #### isSetUrgencySlots

          public boolean isSetUrgencySlots()

      Determine if the urgencySlots attribute is set
      Specified by:
        `isSetUrgencySlots` in interface `ParallelEnvironment`
      Returns:
        `true` if the urgencySlots attribute is set

    - #### setUrgencySlots

          public void setUrgencySlots(java.lang.String aUrgencySlots)

      Set the urgencySlots attribute.
      Specified by:
        `setUrgencySlots` in interface `ParallelEnvironment`
      Parameters:
        `aUrgencySlots` - the new value for the urgencySlots attribute

    - #### getUrgencySlots

          public java.lang.String getUrgencySlots()

      Get the value of the urgencySlots attribute.
      Specified by:
        `getUrgencySlots` in interface `ParallelEnvironment`
      Returns:
        the value of the urgencySlots attribute

    - #### isSetAccountingSummary

          public boolean isSetAccountingSummary()

      Determine if the accountingSummary attribute is set
      Specified by:
        `isSetAccountingSummary` in interface `ParallelEnvironment`
      Returns:
        `true` if the accountingSummary attribute is set

    - #### setAccountingSummary

          public void setAccountingSummary(boolean aAccountingSummary)

      Set the accountingSummary attribute.
      Specified by:
        `setAccountingSummary` in interface `ParallelEnvironment`
      Parameters:
        `aAccountingSummary` - the new value for the accountingSummary attribute

    - #### isAccountingSummary

          public boolean isAccountingSummary()

      Get the value of the accountingSummary attribute.
      Specified by:
        `isAccountingSummary` in interface `ParallelEnvironment`
      Returns:
        the value of the accountingSummary attribute

    - #### isSetQsortArgs

          public boolean isSetQsortArgs()

      Determine if the qsortArgs attribute is set
      Specified by:
        `isSetQsortArgs` in interface `ParallelEnvironment`
      Returns:
        `true` if the qsortArgs attribute is set

    - #### setQsortArgs

          public void setQsortArgs(java.lang.String aQsortArgs)

      Set the qsortArgs attribute.
      Specified by:
        `setQsortArgs` in interface `ParallelEnvironment`
      Parameters:
        `aQsortArgs` - the new value for the qsortArgs attribute

    - #### getQsortArgs

          public java.lang.String getQsortArgs()

      Get the value of the qsortArgs attribute.
      Specified by:
        `getQsortArgs` in interface `ParallelEnvironment`
      Returns:
        the value of the qsortArgs attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `ParallelEnvironment`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.